Skip to main content
`Ctrl`+`K`

# EPSLanczosSetReorthog

Sets the type of reorthogonalization used during the Lanczos iteration.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSLanczosSetReorthog(EPS eps,EPSLanczosReorthogType reorthog)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- reorthog - the type of reorthogonalization, see `EPSLanczosReorthogType` for possible values

## Options Database Key

- -eps_lanczos_reorthog (local|full|selective|periodic|partial|delayed) - sets the reorthogonalization type

## Notes

Details of the different reorthogonalization strategies can be found in [Hernandez et al., 2006].

This applies to `EPSLANCZOS`, not to `EPSKRYLOVSCHUR`.

## References

[Her06]

V. Hernandez, J. E. Roman, A. Tomas, and V. Vidal. Lanczos methods in SLEPc. Technical Report STR-5, Universitat Politècnica de València, 2006. URL: https://slepc.upv.es/documentation.

## See Also

EPS: Eigenvalue Problem Solver, `EPSLANCZOS`, `EPSLanczosGetReorthog()`, `EPSLanczosReorthogType`

## Level

advanced

## Location

src/eps/impls/krylov/lanczos/lanczos.c

## Implementations

EPSLanczosSetReorthog_Lanczos() in src/eps/impls/krylov/lanczos/lanczos.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages